body { 
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}



main, footer {
    opacity: 0;
}



main {
    height: 95vh;
    width: 100vw;

    position: relative;

    display: grid;
    grid-template-columns: repeat(11, 1fr);
    grid-template-rows: repeat(7, minmax(0, 1fr)); /* Ensures uniform row height */

    padding: 5px;

    color: whitesmoke;
    text-shadow: 
        0 0 2px black,
        0 0 2px black,
        1px 1.5px 2px rgba(0, 0, 0, 0.5);

    cursor: url("../../assets/cursor/cursor.cur");
}


.filled:hover, 
.filled:active, 
.activeBox:hover, 
.dk-grid-box img:hover, 
.dk-grid-box p:hover {
    cursor: url("../../assets/cursor/pointy.cur"), auto;
}
   


.dk-grid-box {
    border: 2px solid transparent;
    padding: 15px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    user-select: none;
}
.filled:hover {
    background-color: rgba(255, 255, 255, 0.5);
    border: 2px solid rgba(255, 255, 255, 0.8);
}
.filled:active {
    background-color: rgba(230, 224, 255, 0.5);
    border: 2px solid rgba(255, 255, 255, 0.8);
}
.activeBox {
    background-color: rgba(230, 224, 255, 0.5);
    border: 2px solid rgba(255, 255, 255, 0.8);
    cursor: pointer;
}

.dk-grid-box * {
    max-width: 100%;
    max-height: 80%;
}
.dk-grid-box img {
    padding-bottom: 5px;
    pointer-events: none;
    max-width: 80%;
}
.dk-grid-box p {
    text-overflow: ellipsis;
    text-align: center;
}

#input {
    width: 100%;
}